Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - lightdm-ubuntu

Package Base Details: lightdm-ubuntu

Git Clone URL: https://aur-dev.archlinux.org/lightdm-ubuntu.git (read-only)
Submitter: chenxiaolong
Maintainer: horsemanoffaith
Last Packager: horsemanoffaith
Votes: 33
Popularity: 0.547549
First Submitted: 2011-10-21 19:56
Last Updated: 2016-12-17 05:01

Latest Comments

« First ‹ Previous 1 2 3 4 5 Next › Last »

Paimun commented on 2012-08-02 20:58

When trying to build lightdm-unity-greeter:

patching file liblightdm-gobject/user.c
patching file liblightdm-gobject/user.c
Reversed (or previously applied) patch detected! Skipping patch.
1 out of 1 hunk ignored -- saving rejects to file liblightdm-gobject/user.c.rej
patching file liblightdm-gobject/user.c
Reversed (or previously applied) patch detected! Skipping patch.
1 out of 1 hunk ignored -- saving rejects to file liblightdm-gobject/user.c.rej
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build lightdm-ubuntu.

grawity commented on 2012-07-23 15:39

Needs to ship a tmpfiles.d config file (as in the 'lightdm' package), otherwise /run/lightdm isn't created properly.

chenxiaolong commented on 2012-04-10 23:18

@gexogen: Thanks! Done :)

Anonymous comment on 2012-04-10 11:37

This package depends on 'gtk-doc' and 'gnome-common'. W/o them we have 2 fails at configure script

//1 gtk-doc
autoreconf: running: automake --add-missing --copy --force-missing
gtk-doc.make:7: GTK_DOC_USE_LIBTOOL does not appear in AM_CONDITIONAL
doc/Makefile.am:24: `gtk-doc.make' included from here
gtk-doc.make:54: ENABLE_GTK_DOC does not appear in AM_CONDITIONAL
doc/Makefile.am:24: `gtk-doc.make' included from here
gtk-doc.make:55: GTK_DOC_BUILD_HTML does not appear in AM_CONDITIONAL
doc/Makefile.am:24: `gtk-doc.make' included from here
gtk-doc.make:60: GTK_DOC_BUILD_PDF does not appear in AM_CONDITIONAL
doc/Makefile.am:24: `gtk-doc.make' included from here
gtk-doc.make:261: ENABLE_GTK_DOC does not appear in AM_CONDITIONAL
doc/Makefile.am:24: `gtk-doc.make' included from here
//2 gnome-common
./configure: line 15556: syntax error near unexpected token `maximum'
./configure: line 15556: `GNOME_COMPILE_WARNINGS(maximum)'

chenxiaolong commented on 2012-04-04 21:19

@szebenyib: I believe that was caused by the new glibc update (which fixes issues caused by GCC 4.7.0):

https://projects.archlinux.org/svntogit/packages.git/commit/trunk?h=packages/glibc&id=4b01f50759b7364f10f1b4e4db60b56efd789011

Unfortunately, I do not know how to fix it.

Anonymous comment on 2012-04-04 19:23

In file included from /usr/include/unistd.h:1171:0,
from libsystem.c:8:
libsystem.c: In function 'pam_setcred':
/usr/include/bits/unistd.h:266:1: error: inlining failed in call to always_inline 'getgroups': function not inlinable
libsystem.c:823:27: error: called from here
In file included from /usr/include/unistd.h:1171:0,
from libsystem.c:8:
/usr/include/bits/unistd.h:266:1: error: inlining failed in call to always_inline 'getgroups': function not inlinable
libsystem.c:825:27: error: called from here
make[3]: *** [libsystem_la-libsystem.lo] Error 1
make[3]: Leaving directory `/tmp/yaourt-tmp-szebenyib/aur-lightdm-ubuntu/src/lightdm-1.1.9/tests/src'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/tmp/yaourt-tmp-szebenyib/aur-lightdm-ubuntu/src/lightdm-1.1.9/tests'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/tmp/yaourt-tmp-szebenyib/aur-lightdm-ubuntu/src/lightdm-1.1.9'
make: *** [all] Error 2
==> HIBA: Hiba történt a build()-ben.
Megszakítás...
==> ERROR: Makepkg was unable to build lightdm-ubuntu.
==> Restart building lightdm-ubuntu ? [y/N]

I get the following error message. Do you know what I am missing? (I need this for lightdm-unity-greeter)

chenxiaolong commented on 2012-02-26 17:20

Oh yeah, the lightdm-session file is Ubuntu specific, so the other LightDM package wouldn't have it.

chenxiaolong commented on 2012-02-26 17:19

@lippol: From the forum page linked from the Wiki page you posted, it seems like session wrapper alters the $PATH variable. However, in /usr/sbin/lightdm-session, there is no line that touches the $PATH variable, so I don't think this package is affected by the bug :)

Anonymous comment on 2012-02-26 09:31

Is this package affected by the $PATH bug the wiki reports here? https://wiki.archlinux.org/index.php/Lightdm

Thank you so much :)

chenxiaolong commented on 2012-02-15 16:22

@roi.dm: Thanks for the support on the Unity project!

The problem is caused by the new devel version of the glib2-ubuntu package in my Unity-for-Arch packages. I have no idea why updating gobject-introspection fixed it :) If you ever see the problem again in another package, just add the following line before the './configure' script in the PKGBUILD:

CFLAGS="${CFLAGS} $(pkg-config --cflags --libs gmodule-2.0)"